changeset 6520:4336eef19b2e

Moved here from lib/javaexec.sh.in.
author Bruno Haible <bruno@clisp.org>
date Mon, 09 Jan 2006 13:46:55 +0000
parents b53f07e56ab2
children 4c0b2f2f590e
files build-aux/javaexec.sh.in
diffstat 1 files changed, 67 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
new file mode 100644
--- /dev/null
+++ b/build-aux/javaexec.sh.in
@@ -0,0 +1,67 @@
+#!/bin/sh
+# Execute a Java program.
+
+# Copyright (C) 2001 Free Software Foundation, Inc.
+# Written by Bruno Haible <haible@clisp.cons.org>, 2001.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.  */
+
+# This uses the same choices as javaexec.c, but instead of relying on the
+# environment settings at run time, it uses the environment variables
+# present at configuration time.
+#
+# This is a separate shell script, because it must be able to unset JAVA_HOME
+# in some cases, which a simple shell command cannot do.
+#
+# The extra CLASSPATH must have been set prior to calling this script.
+
+CONF_JAVA='@JAVA@'
+CONF_CLASSPATH='@CLASSPATH@'
+if test -n "$CONF_JAVA"; then
+  # Combine given CLASSPATH and configured CLASSPATH.
+  if test -n "$CLASSPATH"; then
+    CLASSPATH="$CLASSPATH${CONF_CLASSPATH:+@CLASSPATH_SEPARATOR@$CONF_CLASSPATH}"
+  else
+    CLASSPATH="$CONF_CLASSPATH"
+  fi
+  export CLASSPATH
+  test -z "$JAVA_VERBOSE" || echo "$CONF_JAVA $@"
+  exec $CONF_JAVA "$@"
+else
+  unset JAVA_HOME
+  export CLASSPATH
+  if test -n "@HAVE_GIJ@"; then
+    test -z "$JAVA_VERBOSE" || echo gij "$@"
+    exec gij "$@"
+  else
+    if test -n "@HAVE_JAVA@"; then
+      test -z "$JAVA_VERBOSE" || echo java "$@"
+      exec java "$@"
+    else
+      if test -n "@HAVE_JRE@"; then
+        test -z "$JAVA_VERBOSE" || echo jre "$@"
+        exec jre "$@"
+      else
+        if test -n "@HAVE_JVIEW@"; then
+          test -z "$JAVA_VERBOSE" || echo jview "$@"
+          exec jview "$@"
+        else
+          echo 'Java virtual machine not found, try installing gij or set $JAVA, then reconfigure' 1>&2
+          exit 1
+        fi
+      fi
+    fi
+  fi
+fi